Package net.snowflake.client.jdbc

## Class SnowflakeBasicDataSource

- java.lang.Object
- - net.snowflake.client.jdbc.SnowflakeBasicDataSource

All Implemented Interfaces:
  `Serializable`, `Wrapper`, `CommonDataSource`, `DataSource`

Direct Known Subclasses:
  `SnowflakeConnectionPoolDataSource`

    public class SnowflakeBasicDataSource
    extends Object
    implements DataSource, Serializable

Created by hyu on 5/11/17.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`SnowflakeBasicDataSource()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Connection` `getConnection()`
`Connection` `getConnection​(String username, String password)`
`int` `getLoginTimeout()`
`PrintWriter` `getLogWriter()`
`Logger` `getParentLogger()`
`protected Properties` `getProperties()`
`String` `getUrl()`
`boolean` `isWrapperFor​(Class<?> iface)`
`void` `setAccount​(String account)`
`void` `setAllowUnderscoresInHost​(boolean allowUnderscoresInHost)`
`void` `setApplication​(String application)`
`void` `setArrowTreatDecimalAsInt​(boolean treatDecimalAsInt)`
`void` `setAuthenticator​(String authenticator)`
`void` `setClientConfigFile​(String clientConfigFile)`
`void` `setDatabaseName​(String databaseName)`
`void` `setDiagnosticsAllowlistFile​(String diagnosticsAllowlistFile)`
`void` `setDisableGcsDefaultCredentials​(boolean isGcsDefaultCredentialsDisabled)`
`void` `setDisableSamlURLCheck​(boolean disableSamlURLCheck)`
`void` `setDisableSocksProxy​(boolean ignoreJvmSocksProxy)`
`void` `setEnableDiagnostics​(boolean enableDiagnostics)`
`void` `setEnablePatternSearch​(boolean enablePatternSearch)`
`void` `setEnablePutGet​(boolean enablePutGet)`
`void` `setGetDateUseNullTimezone​(Boolean getDateUseNullTimezone)`
`void` `setJDBCDefaultFormatDateWithTimezone​(Boolean jdbcDefaultFormatDateWithTimezone)`
`void` `setLoginTimeout​(int seconds)`
`void` `setLogWriter​(PrintWriter out)`
`void` `setMaxHttpRetries​(int maxHttpRetries)`
`void` `setNetworkTimeout​(int networkTimeoutSeconds)`
`void` `setNonProxyHosts​(String nonProxyHosts)`
`void` `setOauthToken​(String oauthToken)`
`void` `setOcspFailOpen​(boolean ocspFailOpen)`
`void` `setPasscode​(String passcode)`
`void` `setPasscodeInPassword​(boolean isPasscodeInPassword)`
`void` `setPassword​(String password)`
`void` `setPortNumber​(int portNumber)`
`void` `setPrivateKey​(PrivateKey privateKey)`
`void` `setPrivateKeyFile​(String location, String password)`
`void` `setProxyHost​(String proxyHost)`
`void` `setProxyPassword​(String proxyPassword)`
`void` `setProxyPort​(int proxyPort)`
`void` `setProxyProtocol​(String proxyProtocol)`
`void` `setProxyUser​(String proxyUser)`
`void` `setPutGetMaxRetries​(int putGetMaxRetries)`
`void` `setQueryTimeout​(int queryTimeoutSeconds)`
`void` `setRole​(String role)`
`void` `setSchema​(String schema)`
`void` `setServerName​(String serverName)`
`void` `setSsl​(boolean ssl)`
`void` `setStringsQuotedForColumnDef​(boolean stringsQuotedForColumnDef)`
`void` `setTracing​(String tracing)`
`void` `setUrl​(String url)`
`void` `setUseProxy​(boolean useProxy)`
`void` `setUser​(String user)`
`void` `setWarehouse​(String warehouse)`
`<T> T` `unwrap​(Class<T> iface)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.sql.CommonDataSource

`createShardingKeyBuilder`

### Methods inherited from interface javax.sql.DataSource

`createConnectionBuilder`

### Constructor Detail

#### SnowflakeBasicDataSource

    public SnowflakeBasicDataSource()

### Method Detail

#### getConnection

    public Connection getConnection()
                             throws SQLException

Specified by:
  `getConnection` in interface `DataSource`
Throws:
  `SQLException`

#### getConnection

    public Connection getConnection​(String username,
                                    String password)
                             throws SQLException

Specified by:
  `getConnection` in interface `DataSource`
Throws:
  `SQLException`

#### getLogWriter

    public PrintWriter getLogWriter()
                             throws SQLException

Specified by:
  `getLogWriter` in interface `CommonDataSource`
Specified by:
  `getLogWriter` in interface `DataSource`
Throws:
  `SQLException`

#### setLogWriter

    public void setLogWriter​(PrintWriter out)
                      throws SQLException

Specified by:
  `setLogWriter` in interface `CommonDataSource`
Specified by:
  `setLogWriter` in interface `DataSource`
Throws:
  `SQLException`

#### getLoginTimeout

    public int getLoginTimeout()
                        throws SQLException

Specified by:
  `getLoginTimeout` in interface `CommonDataSource`
Specified by:
  `getLoginTimeout` in interface `DataSource`
Throws:
  `SQLException`

#### setLoginTimeout

    public void setLoginTimeout​(int seconds)
                         throws SQLException

Specified by:
  `setLoginTimeout` in interface `CommonDataSource`
Specified by:
  `setLoginTimeout` in interface `DataSource`
Throws:
  `SQLException`

#### getParentLogger

    public Logger getParentLogger()
                           throws SQLFeatureNotSupportedException

Specified by:
  `getParentLogger` in interface `CommonDataSource`
Throws:
  `SQLFeatureNotSupportedException`

#### isWrapperFor

    public boolean isWrapperFor​(Class<?> iface)

Specified by:
  `isWrapperFor` in interface `Wrapper`

#### unwrap

    public <T> T unwrap​(Class<T> iface)

Specified by:
  `unwrap` in interface `Wrapper`

#### setUrl

    public void setUrl​(String url)

#### setDatabaseName

    public void setDatabaseName​(String databaseName)

#### setSchema

    public void setSchema​(String schema)

#### setWarehouse

    public void setWarehouse​(String warehouse)

#### setRole

    public void setRole​(String role)

#### setUser

    public void setUser​(String user)

#### setServerName

    public void setServerName​(String serverName)

#### setPassword

    public void setPassword​(String password)

#### setPortNumber

    public void setPortNumber​(int portNumber)

#### setAccount

    public void setAccount​(String account)

#### setSsl

    public void setSsl​(boolean ssl)

#### setAuthenticator

    public void setAuthenticator​(String authenticator)

#### setOauthToken

    public void setOauthToken​(String oauthToken)

#### getUrl

    public String getUrl()

#### setPrivateKey

    public void setPrivateKey​(PrivateKey privateKey)

#### setPrivateKeyFile

    public void setPrivateKeyFile​(String location,
                                  String password)

#### setTracing

    public void setTracing​(String tracing)

#### getProperties

    protected Properties getProperties()

#### setAllowUnderscoresInHost

    public void setAllowUnderscoresInHost​(boolean allowUnderscoresInHost)

#### setDisableGcsDefaultCredentials

    public void setDisableGcsDefaultCredentials​(boolean isGcsDefaultCredentialsDisabled)

#### setDisableSamlURLCheck

    public void setDisableSamlURLCheck​(boolean disableSamlURLCheck)

#### setPasscode

    public void setPasscode​(String passcode)

#### setPasscodeInPassword

    public void setPasscodeInPassword​(boolean isPasscodeInPassword)

#### setDisableSocksProxy

    public void setDisableSocksProxy​(boolean ignoreJvmSocksProxy)

#### setNonProxyHosts

    public void setNonProxyHosts​(String nonProxyHosts)

#### setProxyHost

    public void setProxyHost​(String proxyHost)

#### setProxyPassword

    public void setProxyPassword​(String proxyPassword)

#### setProxyPort

    public void setProxyPort​(int proxyPort)

#### setProxyProtocol

    public void setProxyProtocol​(String proxyProtocol)

#### setProxyUser

    public void setProxyUser​(String proxyUser)

#### setUseProxy

    public void setUseProxy​(boolean useProxy)

#### setNetworkTimeout

    public void setNetworkTimeout​(int networkTimeoutSeconds)

#### setQueryTimeout

    public void setQueryTimeout​(int queryTimeoutSeconds)

#### setApplication

    public void setApplication​(String application)

#### setClientConfigFile

    public void setClientConfigFile​(String clientConfigFile)

#### setEnablePatternSearch

    public void setEnablePatternSearch​(boolean enablePatternSearch)

#### setEnablePutGet

    public void setEnablePutGet​(boolean enablePutGet)

#### setArrowTreatDecimalAsInt

    public void setArrowTreatDecimalAsInt​(boolean treatDecimalAsInt)

#### setMaxHttpRetries

    public void setMaxHttpRetries​(int maxHttpRetries)

#### setOcspFailOpen

    public void setOcspFailOpen​(boolean ocspFailOpen)

#### setPutGetMaxRetries

    public void setPutGetMaxRetries​(int putGetMaxRetries)

#### setStringsQuotedForColumnDef

    public void setStringsQuotedForColumnDef​(boolean stringsQuotedForColumnDef)

#### setEnableDiagnostics

    public void setEnableDiagnostics​(boolean enableDiagnostics)

#### setDiagnosticsAllowlistFile

    public void setDiagnosticsAllowlistFile​(String diagnosticsAllowlistFile)

#### setJDBCDefaultFormatDateWithTimezone

    public void setJDBCDefaultFormatDateWithTimezone​(Boolean jdbcDefaultFormatDateWithTimezone)

#### setGetDateUseNullTimezone

    public void setGetDateUseNullTimezone​(Boolean getDateUseNullTimezone)